<?php

	echo "Import du fichier ...";

	if( isset($_POST['envoyer']) ) // si formulaire soumis
	{

	
		$tmp_file = $_FILES['fichier']['tmp_name'];

		if( !is_uploaded_file($tmp_file) )
		{
			exit("Le fichier est introuvable");
		}
	
		
		$dossier = 'upload/';
		$taille_maxi = 100000;
		$taille = filesize($_FILES['fichier']['tmp_name']);
		$extensions = array('.csv');
		$extension = strrchr($_FILES['fichier']['name'], '.'); 
	
		if(!in_array($extension, $extensions)) 
		{
			$erreur = 'Vous devez uploader un fichier de type csv !.';
		}

		if($taille>$taille_maxi)
		{
			$erreur = 'Le fichier est trop gros...';
		}

		if(!isset($erreur)) 
		{
			$name_file = $_FILES['fichier']['name'];
			
			if(move_uploaded_file($tmp_file, $dossier .$name_file)) 
			{
				echo 'Upload effectué avec succès !';
			}
			else 
			{
				echo 'Echec de l\'upload !';
			}
		}

		else
		{
			echo $erreur;
		}
		
	}	
?>